GnuPG::SubKey(3)

NAME
GnuPG::SubKey - GnuPG Sub Key objects

SYNOPSIS
  # assumes a GnuPG::PublicKey object in $key
  my @subkeys = $key->subkeys();

  # now GnuPG::SubKey objects are in @subkeys

DESCRIPTION
GnuPG::SubKey objects are generally instantiated through various methods of GnuPG::Interface. They embody various aspects of a GnuPG sub key.

This package inherits data members and object methods from GnuPG::Key, which are not described here, but rather in GnuPG::Key.

OBJECT DATA MEMBERS

validity
    A scalar holding the value GnuPG reports for the trust of authenticity (a.k.a.) validity of a key. See GnuPG's DETAILS file for details.

local_id
    GnuPG's local id for the key.

owner_trust
    The scalar value GnuPG reports as the ownertrust for this key. See GnuPG's DETAILS file for details.

signature
    * DEPRECATED*

    A GnuPG::Signature object holding the representation of the signature on this key. Please use signatures (see GnuPG::Key) instead of signature. Using signature, you will get an arbitrary signature from the set of available signatures.

SEE ALSO
GnuPG::Key, GnuPG::Signature,